parameterized-utils-2.1.11.0: Classes and data structures for working with data-kind indexed types

Copyright | (c) Galois Inc 2019
Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.Parameterized.Utils.Endian

Description

Synopsis

- data Endian
  - = LittleEndian
  - | BigEndian

# Documentation

data Endian Source #

Determines the composition of smaller numeric values into larger values.

BigEndian = most significant values in the lowest index location / first LittleEndian = least significant values in the lowest index location / first

Value: 0x01020304 BigEndian = [ 0x01, 0x02, 0x03, 0x04 ] LittleEndian = [ 0x04, 0x03, 0x02, 0x01 ]

Constructors

LittleEndian |
BigEndian |

#### Instances

Instances details

Show Endian Source # |
Instance details Defined in Data.Parameterized.Utils.Endian Methods showsPrec :: Int -> Endian -> ShowS Source # show :: Endian -> String Source # showList :: [Endian] -> ShowS Source #
Eq Endian Source # |
Instance details Defined in Data.Parameterized.Utils.Endian Methods (==) :: Endian -> Endian -> Bool Source # (/=) :: Endian -> Endian -> Bool Source #
Ord Endian Source # |
Instance details Defined in Data.Parameterized.Utils.Endian Methods compare :: Endian -> Endian -> Ordering Source # (<) :: Endian -> Endian -> Bool Source # (<=) :: Endian -> Endian -> Bool Source # (>) :: Endian -> Endian -> Bool Source # (>=) :: Endian -> Endian -> Bool Source # max :: Endian -> Endian -> Endian Source # min :: Endian -> Endian -> Endian Source #